require("function")
require("config")

pipe_diri = {}

if ENABLED_PIPES then
 for color,rgb in pairs(PIPE_DIR) do
    pipedir = util.table.deepcopy(data.raw["pipe"]["pipe"])
    pipedir.type = "pipe"
    pipedir.name = "pipe-"..color
    pipedir.icon = MOD_NAME.."/graphics/"..color..".png"
    pipedir.pictures = PIPEPIC(MOD_NAME.."/graphics/"..color.."-e.png")

    table.insert(pipe_diri,pipedir)
 end
end

data:extend(pipe_diri)

data.raw["pipe"]["pipe-e_n_s"].fluid_box = {pipe_connections = { {position = {0, -1}}, {position = {1, 0}}, {position = {0, 1}} }}
data.raw["pipe"]["pipe-e_s"].fluid_box = {pipe_connections = { {position = {1, 0}}, {position = {0, 1}} } }
data.raw["pipe"]["pipe-e_w"].fluid_box = {pipe_connections = { {position = {1, 0}}, {position = {-1, 0}} } }
data.raw["pipe"]["pipe-n_e"].fluid_box = {pipe_connections = { {position = {0, -1}}, {position = {1, 0}} } }
data.raw["pipe"]["pipe-n_e_w"].fluid_box = {pipe_connections = { {position = {0, -1}}, {position = {1, 0}}, {position = {-1, 0}} } }
data.raw["pipe"]["pipe-n_s"].fluid_box = {pipe_connections = { {position = {0, -1}}, {position = {0, 1}} } }
data.raw["pipe"]["pipe-n_w"].fluid_box = {pipe_connections = { {position = {0, -1}}, {position = {-1, 0}} } }
data.raw["pipe"]["pipe-s_w"].fluid_box = {pipe_connections = { {position = {0, 1}}, {position = {-1, 0}} } }
data.raw["pipe"]["pipe-s_w_e"].fluid_box = {pipe_connections = { {position = {1, 0}}, {position = {0, 1}}, {position = {-1, 0}} } }
data.raw["pipe"]["pipe-w_n_s"].fluid_box = {pipe_connections = { {position = {0, -1}}, {position = {0, 1}}, {position = {-1, 0}} } }